Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiEmbeddingParameters

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiEmbeddingParameters

@Deprecated public class OpenAiEmbeddingParameters extends Object
Deprecated.
OpenAI embedding input parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiEmbeddingParameters()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `OpenAiEmbeddingParameters`
  `setInput(String... input)`
  Deprecated.
  Input text to get embeddings for, encoded as a string.
  `OpenAiEmbeddingParameters`
  `setInputType(String inputType)`
  Deprecated.
  input type of embedding search to use, e.g.
  `OpenAiEmbeddingParameters`
  `setUser(String user)`
  Deprecated.
  A unique identifier representing your end-user.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiEmbeddingParameters

    public OpenAiEmbeddingParameters()
    Deprecated.

- ## Method Details

  - ### setInput

    @Nonnull public OpenAiEmbeddingParameters setInput(@Nonnull String... input)
    Deprecated.
    Input text to get embeddings for, encoded as a string. The number of input tokens varies depending on what model you are using. Unless you're embedding code, we suggest replacing newlines (\n) in your input with a single space, as we have observed inferior results when newlines are present.
    Parameters:
      `input` - Input text to get embeddings for, encoded as a string.
    Returns:
      ${code this} instance for chaining.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### setUser

    public OpenAiEmbeddingParameters setUser(@Nullable String user)
    Deprecated.
    A unique identifier representing your end-user. This will help Azure OpenAI monitor and detect abuse. Do not pass PII identifiers instead use pseudo anonymized values such as GUIDs.
    Returns:
      `this`.

  - ### setInputType

    public OpenAiEmbeddingParameters setInputType(@Nullable String inputType)
    Deprecated.
    input type of embedding search to use, e.g. "query".
    Returns:
      `this`.